<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('rules', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->string('rule_code', 10);
            $table->foreignUuid('statement_id')->references('id')->on('statements')->onDelete('cascade');
            $table->foreignUuid('personality_id')->references('id')->on('personalities')->onDelete('cascade');
            $table->foreignUuid('weight_id')->references('id')->on('weights')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('rules');
    }
};
